package com.hw.wms.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.hw.common.core.annotation.Excel;
import com.hw.common.core.web.domain.BaseEntity;

/**
 * 仓库可储存物料信息对象 wms_warehouse_material
 *
 * @author xins
 * @date 2024-01-09
 */
public class WmsWarehouseMaterial extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long warehouseMaterialId;

    /** 仓库ID */
    private Long warehouseId;

    /** 库位编码;单独需要针对库位设置的，后续扩展使用 */
    private String locationCode;

    /** 存储类型(1、物料，2、物料类型);先支持物料 */
    private String storageType;

    /** 根据存储类型对应各自表的主键 */
    private Long storageId;

    private String materialCode;

    private String materialName;

    public Long getWarehouseMaterialId() {
        return warehouseMaterialId;
    }

    public void setWarehouseMaterialId(Long warehouseMaterialId) {
        this.warehouseMaterialId = warehouseMaterialId;
    }

    public void setWarehouseId(Long warehouseId)
    {
        this.warehouseId = warehouseId;
    }

    public Long getWarehouseId()
    {
        return warehouseId;
    }
    public void setLocationCode(String locationCode)
    {
        this.locationCode = locationCode;
    }

    public String getLocationCode()
    {
        return locationCode;
    }
    public void setStorageType(String storageType)
    {
        this.storageType = storageType;
    }

    public String getStorageType()
    {
        return storageType;
    }
    public void setStorageId(Long storageId)
    {
        this.storageId = storageId;
    }

    public Long getStorageId()
    {
        return storageId;
    }

    public String getMaterialCode() {
        return materialCode;
    }

    public void setMaterialCode(String materialCode) {
        this.materialCode = materialCode;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("warehouseId", getWarehouseId())
            .append("locationCode", getLocationCode())
            .append("storageType", getStorageType())
            .append("storageId", getStorageId())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
